%define anolis_release 1
%global qt_module qtsensors
%global __provides_exclude_from ^(%{_qt5_archdatadir}/qml/.*\\.so|%{_qt5_plugindir}/.*\\.so)$

Name:    qt5-%{qt_module}
Version: 5.15.11
Release: %{anolis_release}%{?dist}
Summary: Qt5 - Sensors component
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires: make automake
BuildRequires: qt5-qtbase-devel >= %{version} qt5-qtbase-private-devel qt5-qtdeclarative-devel

Recommends: iio-sensor-proxy

%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
The Qt Sensors API provides access to sensor hardware via QML and C++
interfaces.  The Qt Sensors API also provides a motion gesture recognition
API for devices.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{EVR}
Requires: qt5-qtbase-devel

%description devel
This package provides development files for %{name}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{EVR}

%description examples
This package provides programming examples for %{name}

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version}

%build
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for f in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" $f
  if [ -f "$(basename $f .prl).so" ]; then
    rm -fv "$(basename $f .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" $f
  fi
done
popd

%files
%{_qt5_libdir}/libQt5Sensors.so.5*
%{_qt5_plugindir}/sensorgestures/
%{_qt5_plugindir}/sensors/
%{_qt5_archdatadir}/qml/QtSensors/
%dir %{_qt5_libdir}/cmake/Qt5Sensors/
%{_qt5_libdir}/cmake/Qt5Sensors/Qt5Sensors_*Plugin.cmake
%license LICENSE.*

%files devel
%{_qt5_libdir}/libQt5Sensors.so
%{_qt5_libdir}/libQt5Sensors.prl
%{_qt5_headerdir}/QtSensors/
%{_qt5_libdir}/cmake/Qt5Sensors/Qt5SensorsConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5Sensors.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_sensors*.pri

%files examples
%{_qt5_examplesdir}/

%changelog
* Thu Oct 19 2023 Funda Wang <fundawang@yeah.net> - 5.15.11-1
- New version 5.15.11

* Tue May 23 2023 Funda Wang <fundawang@yeah.net> - 5.15.9-1
- New version 5.15.9

* Fri Apr 14 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 5.15.8-2
- Refactor the specfile

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- New version 5.15.8

* Wed Dec 7 2022 Funda Wang <fundawang@yeah.net> - 5.15.7-1
- New version 5.15.7

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.15.5-1
- Init from upstream version 5.15.5
